Get categories
curl --request GET \
--url https://sandbox.tight.com/v6/categories \
--header 'Authorization: Bearer <token>'{
"data": {
"expense": [
{
"id": "gla_167243195",
"name": "Wages",
"status": "ACTIVE",
"iconUrl": "https://cdn.sandbox.tight.com/icons/expenseCategories/payroll.svg",
"children": [
{
"id": "gla_167243196",
"name": "Officer(s) Salaries and Wages",
"status": "ACTIVE",
"iconUrl": "https://cdn.sandbox.tight.com/icons/expenseCategories/payroll.svg",
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
],
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
],
"revenue": [
{
"id": "gla_167243195",
"name": "Wages",
"status": "ACTIVE",
"iconUrl": "https://cdn.sandbox.tight.com/icons/expenseCategories/payroll.svg",
"children": [
{
"id": "gla_167243196",
"name": "Officer(s) Salaries and Wages",
"status": "ACTIVE",
"iconUrl": "https://cdn.sandbox.tight.com/icons/expenseCategories/payroll.svg",
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
],
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
],
"transfer": [
{
"id": "gla_167243196",
"name": "Officer(s) Salaries and Wages",
"status": "ACTIVE",
"iconUrl": "https://cdn.sandbox.tight.com/icons/expenseCategories/payroll.svg",
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
]
}
}Categories
Get categories
Get all categories for the authenticated user, grouped by type
GET
/
v6
/
categories
Get categories
curl --request GET \
--url https://sandbox.tight.com/v6/categories \
--header 'Authorization: Bearer <token>'{
"data": {
"expense": [
{
"id": "gla_167243195",
"name": "Wages",
"status": "ACTIVE",
"iconUrl": "https://cdn.sandbox.tight.com/icons/expenseCategories/payroll.svg",
"children": [
{
"id": "gla_167243196",
"name": "Officer(s) Salaries and Wages",
"status": "ACTIVE",
"iconUrl": "https://cdn.sandbox.tight.com/icons/expenseCategories/payroll.svg",
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
],
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
],
"revenue": [
{
"id": "gla_167243195",
"name": "Wages",
"status": "ACTIVE",
"iconUrl": "https://cdn.sandbox.tight.com/icons/expenseCategories/payroll.svg",
"children": [
{
"id": "gla_167243196",
"name": "Officer(s) Salaries and Wages",
"status": "ACTIVE",
"iconUrl": "https://cdn.sandbox.tight.com/icons/expenseCategories/payroll.svg",
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
],
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
],
"transfer": [
{
"id": "gla_167243196",
"name": "Officer(s) Salaries and Wages",
"status": "ACTIVE",
"iconUrl": "https://cdn.sandbox.tight.com/icons/expenseCategories/payroll.svg",
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
]
}
}Authorizations
Bearer authentication header of the form Bearer <token>, see Authentication for more detail.
⌘I